@charset "UTF-8";

html {
  scroll-padding-top: 100px;
  font-size: 62.5%;
  /* ブラウザ既定16px × 62.5% = 10px → 1rem = 10px */
  /* 
	html,body 以外の個所ではfont-sizeは下記の用にremで指定
	14px = 1.4rem
	15px = 1.5rem
	16px = 1.6rem
	17px = 1.7rem 
	*/
}

:root {
  /* breakpoint */
  --sp: 767px;
  --pc: 768px;

  /* @media (width <=  767px) {} sp版*/
  /* @media (width >=  768px) {} pc版*/

  /* 色 */
  --color-body: #000;
  --color-primary: #006837;
  --color-secondary: #84ae60;
  --color-accent: #eaeec9;
  --color-blue: #557dd9;
  --color-blue_heg: 85 125 217;

  /* フォント */
  --font-serif:
    "YuMincho", "Yu Mincho", "Hiragino Mincho ProN", "MS PMincho",
    "Times New Roman", serif;
  --font-yu_gothic: YuGothic, "Noto Sans JP", sans-serif;
  --font-bona: "Bona Nova", serif;
  --font-noto: "Noto Sans JP", sans-serif;
  --font-noto_serif: "Noto Serif JP", serif;
  --font-franklin: "Libre Franklin", sans-serif;

  --fz-middle: clamp(1em, 1.4vw, 2rem);

  /* その他 */
  --gap: 1.4em;
  --header-h: 80px;
  --swiper-navigation-size: 35px !important;

  /* text-box: trim-both cap alphabetic; */
  @media (width <=767px) {
    :root {
      --header-h: 60px;
    }
  }
}

/* ==================================================== */

body {
  font-size: 1.6rem;
  color: var(--color-body);
  font-family: var(--font-noto);
  background: #ffffff;
  line-height: 1.8;
  word-wrap: break-word;
}

img {
  height: 100%;
}

:where(a, a:link, a:visited) {
  color: var(--color-primary);
  text-decoration: none;
}

:where(a:hover) {
  color: var(--color-primary);
  text-decoration: underline;
}

:where(#content a) {
  text-decoration: underline;
  transition: 0.3s;
  /* &:hover {
			text-decoration: none;
			opacity: 0.6;
		} */
}

.container-inner {
  width: min(100%, 1200px);
  margin-inline: auto;
  padding: 50px min(5vw, 60px);
  container-type: inline-size;

  @media (width <=767px) {
    padding-block: 40px;
  }
}

/* HEADER */
header {
  margin-inline: auto;
  padding: 0px 4vw;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 99;

  &.is-top {
    .h-logo {
      a {
        color: #fff;
      }
    }

    .h-button {
      a {
        border: solid 1px #fff;
        color: #fff;

        &.news {
          background-image: url(../images/common/anchor-info_white.svg);
        }

        &.contact {
          background-image: url(../images/common/anchor-mail_white.svg);
        }
      }
    }

    .nav {
      a {
        color: #fff;
      }
    }
  }

  .h-logo {
    height: fit-content;
    padding: 40px 0 32px;

    a {
      font-family: var(--font-noto_serif);
      font-size: 2.1rem;
      font-weight: 600;
      text-decoration: none;
      line-height: 2.2;

      span {
        display: block;
        font-size: 3rem;
        line-height: 1;
      }
    }

    &:hover {
      opacity: 0.6;
    }
  }

  .h-button {
    position: absolute;
    top: 40px;
    right: 50px;
    display: flex;
    gap: 10px;

    a {
      border: solid 1px var(--color-body);
      min-width: 150px;
      background-position: center left 10px;
      background-repeat: no-repeat;
      padding-inline: 10px;
      padding: 10px 5px;
      line-height: 1;
      text-align: center;
      padding-left: 20px;
      transition: 0.3s;

      &:hover {
        border-color: var(--color-secondary);
        background-color: var(--color-secondary);
        color: #fff;

        &.news {
          background-image: url(../images/common/anchor-info_white.svg);
        }

        &.contact {
          background-image: url(../images/common/anchor-mail_white.svg);
        }
      }

      &.news {
        background-image: url(../images/common/anchor-info.svg);
        background-size: 18px 100%;
      }

      &.contact {
        background-image: url(../images/common/anchor-mail.svg);
        background-size: 15px 100%;
      }
    }
  }

  @media (width <=767px) {
    &.is-top {
      .h-logo {
        a {
          color: #fff;
        }
      }

      .h-button {
        a {
          border: solid 1px #fff;
          color: #fff;

          &.news {
            background-image: url(../images/common/anchor-info_white.svg);
          }

          &.contact {
            background-image: url(../images/common/anchor-mail_white.svg);
          }
        }
      }

      .nav {
        a {
          color: #fff;
        }
      }
    }

    .h-logo {
      padding: 10px 0 17px;

      a {
        font-size: 1.8rem;

        span {
          font-size: 2.2rem;
        }
      }

      &:hover {
        opacity: 0.6;
      }
    }

    .h-button {
      display: none;
    }
  }
}

/* NAV */
.nav {
  --h: 50px;
  height: var(--h);
  width: min(450px, 100%);

  .nav-list {
    >li {
      >a {
        position: relative;
        transition: 0.3s;

        &:hover {
          color: var(--color-secondary);
        }

        &::after {
          position: absolute;
          content: "";
          top: 8px;
          left: -20px;
          width: 10px;
          height: 10px;
          border-top: 2px solid var(--color-secondary);
          border-right: 2px solid var(--color-secondary);
          -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
          opacity: 0;
          transition: 0.3s;
        }
      }
    }
  }

  a {
    font-weight: 600;
    text-decoration: none;
    font-size: 1.7rem;

    @media (any-hover: hover) {
      &:hover {
        color: var(--color-primary);
      }
    }

    &.on {
      color: var(--color-primary);

      &::after {
        opacity: 1 !important;
      }
    }
  }

  .toggle,
  .toggle>div {
    display: contents;
  }

  >ul {
    width: min(90%, 420px);
    height: 100%;
    margin-bottom: 0;

    >li {
      height: 100%;
      position: relative;

      >a {
        height: 100%;
      }
    }
  }

  li:has(.child-nav):hover .child-nav {
    pointer-events: auto;
    opacity: 1;
    /* transform: translateY(0); */
  }

  .child-nav {
    position: absolute;
    width: min(218px, 100%);
    inset: var(--h) auto auto 205px;
    background-color: var(--color-primary);
    padding-block: 40px;
    opacity: 0;
    transform: translateY(-100px);
    z-index: 10;
    pointer-events: none;
    transition-property: opacity, transform;
    transition-duration: 0.5s;

    &::before {
      position: absolute;
      content: "";
      width: 0;
      height: 0;
      border-style: solid;
      border-top: 7px solid transparent;
      border-bottom: 7px solid transparent;
      border-right: 12px solid var(--color-primary);
      border-left: 0;
      left: -11px;
      top: 55px;
    }

    li {
      &:not(:last-child) {
        margin-bottom: 15px;
      }
    }

    a {
      width: 100%;
      display: inline-block;
      white-space: pre;
      padding-inline: 15px;
      line-height: 1.6;
      color: #fff;
    }
  }

  @media (width <=767px) {
    width: 100%;
    position: fixed;
    inset: var(--header-h) 0 0;
    height: auto;
    z-index: 2000;
    opacity: 0;
    /* translate: 30px; */
    pointer-events: none;
    transition-property: opacity;
    transition-duration: 0.3s;
    background-color: rgb(0 104 55 / 95%);

    .nav-list {
      >li {
        /* border-bottom: 1px solid var(--color-secondary); */

        >a {
          padding-left: 25px;

          &::after {
            position: absolute;
            content: "";
            top: 20px;
            left: 0px;
          }
        }

        &.js-drawer:has(.on) {
          .toggle>div {
            overflow: inherit;
          }

          a {

            &::after {
              transform: rotate(90deg);
              -webkit-transform: rotate(90deg);
            }
          }
        }
      }
    }

    a {
      display: block;
      padding: 12px;
      font-size: 1.8rem;
      color: #fff;

      &.on {
        color: var(--color-accent) !important;
      }
    }

    >ul {
      padding: 30px;
      flex-direction: column;
      height: auto;
      width: 100%;

      >li {
        width: 100%;
        height: auto;
      }
    }

    li {
      display: block;
      width: 100%;
      font-weight: 600;
      line-height: 1.4;
      color: #1eb5e1;

      >a {
        justify-content: start;
      }

      &:has(.child-nav) {
        >a {
          display: flex;
          justify-content: space-between;
          align-items: center;
          position: relative;

          &:before {
            content: "";
            display: inline-block;
            width: 20px;
            height: 2px;
            background-color: var(--color-accent);
            position: absolute;
            top: 23.5px;
            right: 10px;
          }

          &:after {
            content: "";
            display: inline-block;
            height: 20px;
            width: 2px;
            background-color: var(--color-accent);
            position: absolute;
            top: 15px;
            right: 19px;
            transition: transform .3s;
            transform-origin: center;
            left: auto;
            transform: none;
            opacity: 1;
            border: none;
          }
        }

        .toggle {
          display: grid;
          grid-template-rows: 0fr;
          transition: grid-template-rows 0.5s;

          >div {
            display: block;
            overflow: hidden;

          }
        }

        &.open,
        &.on {
          .toggle {
            grid-template-rows: 1fr;
          }

          >a {
            &::after {
              transform: rotate(90deg);
              -webkit-transform: rotate(90deg);
            }
          }
        }
      }
    }



    .child-nav {
      width: auto;
      position: static;
      pointer-events: auto;
      opacity: 1;
      transform: none;
      background-color: transparent;
      translate: 0;
      /* border-top: 1px solid #ffffff; */
      padding: 0;
      margin: 0 0 10px 15px;

      li {
        /* border-bottom: 1px dotted #ffffff; */
        margin-bottom: 0 !important;

        a {
          padding: 10px 0;
          padding-left: 15px;

          &::before {
            content: 'ー';
            margin-right: 5px;
          }
        }

        &:last-child {
          border-bottom: none;
        }
      }

      a {
        display: block;
        padding: 10px 10px 8px 24px;
        font-size: 1.4rem;
      }
    }
  }
}


body:has(.menu.open) {
  @media (width <=767px) {
    .nav {
      translate: 0;
      opacity: 1;
      pointer-events: auto;
    }

    header {
      position: fixed;
      background-color: #fff;

      &.is-top {
        background-color: var(--color-primary);
      }
    }

  }
}

body.home {
  @media (width <=767px) {
    .sp-menu {
      .hamburger {
        span {
          background: #fff;
          box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.5), 0 0px 2px rgba(0, 0, 0, 0.5);
        }
      }
    }
  }
}

/* NAVIGATION */

#toggle {
  @media (width >=768px) {
    display: none;
  }
}

.sp-menu {
  @media (width >=768px) {
    display: none !important;
  }

  position: fixed;
  inset: 0 0 auto auto;
  z-index: 3500;
  display: flex;
  width: 55px;

  >* {
    flex: 1;
    height: var(--header-h);
    display: grid;
    place-content: center;
    place-items: center;
    gap: 4px;
    padding-top: 6%;
    background: rgb(255 255 255 / 0%);
  }

  .hamburger {
    width: 30px;
    aspect-ratio: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-block: 6px;
    transition: justify-content 0.3s;

    span {
      width: 100%;
      height: 3px;
      background: #000;
      transition-property: rotate, translate, opacity;
      transition-duration: 0.3s;
      inset: auto 0 -5px;
    }
  }

  .menu.open {
    .hamburger {
      justify-content: center;

      span {
        &:first-child {
          rotate: -45deg;
          translate: 0 3px;
        }

        &:nth-child(2) {
          opacity: 0;
        }

        &:last-child {
          rotate: -135deg;
          translate: 0 -3px;
        }
      }

    }
  }

  .text {
    color: #333;
    font-size: 1rem;
    font-weight: 600;
  }

  .tel {
    background-color: #333;

    .icon {
      width: 15px;
    }

    .text {
      color: #ffffff;
    }
  }
}

/* FOOTER */
footer {
  color: #ffffff;
  background-color: var(--color-secondary);

  .container-inner {
    display: flex;
    justify-content: space-between;
    position: relative;
  }

  a {
    color: #ffffff;
  }

  .f-sign {
    width: min(375px, 100%);
    margin-bottom: 40px;

    .f-name {
      margin-bottom: 20px;

      a {
        font-family: var(--font-noto_serif);
        font-size: 2.1rem;
        font-weight: 600;
        color: #fff;
        text-decoration: none;

        span {
          display: block;
          font-size: 3rem;
          line-height: 1;
        }
      }
    }
  }

  .f-banner {
    display: flex;
    flex-direction: column;
    gap: 15px;

    a {
      min-width: 275px;
      display: inline-block;
      border: solid 1px #fff;
      text-align: center;
      padding: 7px 0;
      transition: 0.3s;

      &::after {
        background-image: url(../images/common/anchor-blank_white.svg);
      }

      &:hover {
        color: var(--color-primary);
        background-color: #fff;

        &::after {
          background-image: url(../images/common/anchor-blank.svg);
        }
      }
    }
  }

  .f-copyright {
    margin: 0;
    padding: 10px 0;
    font-size: 1.4rem;

    @media (width >=768px) {
      position: absolute;
      bottom: 12px;
    }
  }

  @media (width <=767px) {
    .container-inner {
      padding: 40px 20px 20px;
      flex-wrap: wrap;
      justify-content: center;
    }

    .f-sign {
      margin-bottom: 30px;

      .f-name {
        margin-bottom: 10px;

        a {
          font-size: 1.8rem;

          span {
            font-size: 2.4rem;
          }
        }
      }
    }

    .f-banner {
      gap: 10px;
      margin-bottom: 25px;
    }

    .f-copyright {
      margin: 0;
      padding: 10px 0;
      font-size: 1.4rem;

      @media (width >=768px) {
        position: absolute;
        bottom: 12px;
      }
    }
  }
}

.breadcrumb {
  padding: 25px min(5vw, 60px);

  @media (width <=767px) {
    padding: 10px min(5vw, 60px);
  }
}

/* TITLE */
.page-title {
  margin: 0;
  width: auto;
  min-height: 540px;
  position: relative;
  padding-block-start: 147px;
  margin-block-end: 55px;

  &:after {
    position: absolute;
    content: "";
    width: 460px;
    height: 100%;
    background-color: var(--color-accent);
    top: 0;
    left: 0;
    z-index: -1;
  }

  .title-inner {
    min-height: 386px;
    background-image: url(../images/common/title-bg.jpg);
    background-repeat: no-repeat;
    background-position: center left;
    background-size: cover;
    margin-left: calc(4vw + 205px);
    position: relative;
    margin-bottom: 10px;

    @media (width <=767px) {
      background-position: center;
    }

    &::after {
      position: absolute;
      content: "";
      background: rgb(var(--color-blue_heg) / 40%);
      mix-blend-mode: multiply;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
    }
  }

  .title-box {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 386px;
  }

  .level01,
  .title {
    z-index: 1;
    margin-bottom: 0;

    .en {
      border-top: solid 1px #fff;
      border-bottom: solid 1px #fff;
      padding-inline: 20px;
    }
  }

  @media (width <=767px) {
    min-height: 280px;
    padding-block-start: 80px;
    margin-block-end: 40px;
    box-sizing: border-box;

    &:after {
      width: 200px;
    }

    .title-inner {
      min-height: 300px;
      margin-left: 0px;

      &::after {
        position: absolute;
        content: "";
        background: rgb(var(--color-blue_heg) / 40%);
        mix-blend-mode: multiply;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
      }
    }

    .title-box {
      min-height: 300px;
    }

    .level01,
    .title {
      z-index: 1;
      margin-bottom: 0;

      .en {
        border-top: solid 1px #fff;
        border-bottom: solid 1px #fff;
        padding-inline: 20px;
      }
    }
  }
}

/* パンくず */
.breadcrumb li {
  display: inline-block;
  vertical-align: middle;
  font-size: 1.4rem;

  a {
    color: var(--color-body);
  }

  &.on {
    color: var(--color-body);
    font-weight: 600;
  }
}

/* ページトップ */
.pagetop {
  position: sticky;
  bottom: 0;
  right: 0;
  text-align: right;
  width: 48px;
  margin-left: auto;
  z-index: 90;
  margin-bottom: -48px;

  a {
    display: block;
    width: 48px;
    height: 48px;
    line-height: 0;
    text-decoration: none;
    background-color: var(--color-primary);
    border: solid 1px var(--color-primary);
    position: relative;
    transition: 0.3s;

    &::before {
      position: absolute;
      content: "";
      left: 16px;
      top: 20px;
      width: 15px;
      height: 15px;
      border-top: 2px solid #fff;
      border-left: 2px solid #fff;
      -webkit-transform: rotate(45deg);
      transform: rotate(45deg);
    }

    &:hover {
      background-color: #fff;

      &::before {
        border-color: var(--color-primary);
      }
    }
  }
}

/* SUBNAV */
.subnav {
  margin-bottom: 50px;

  .no-use {
    a {
      background-color: #ccc !important;
    }
  }

  >span {
    display: inline-block;
    margin-bottom: 35px;
    font-weight: 600;
    font-size: 2.6rem;
  }

  .subnav-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 15px 20px;

    li {

      &.on,
      &.active {
        a {
          &::before {
            background-color: var(--color-primary);
          }
        }
      }
    }

    a {
      min-width: 145px;
      display: inline-block;
      padding: 5px 0;
      text-decoration: none !important;
      box-sizing: border-box;
      text-align: center;
      font-size: 1.8rem;
      font-weight: 600;
      color: #000;
      position: relative;

      &::before {
        position: absolute;
        content: "";
        width: 20px;
        height: 20px;
        background-color: #808080;
        border-radius: 50%;
        left: 50%;
        transform: translateX(-50%);
        top: -20px;
      }

      &:hover {
        opacity: 0.6;

        &::before {
          background-color: var(--color-primary);
        }
      }
    }
  }
}

.section {
  margin-bottom: 70px;
}

.section-s {
  margin-bottom: 50px;
}

.section-ss {
  margin-bottom: 30px;
}

.section-sss {
  margin-bottom: 15px;
}

.section-ssss {
  margin-bottom: 10px;
}

/* タブレット用 */
@media all and (min-width: 751px) and (max-width: 1200px) and (max-device-width: 1200px) {

  .container,
  .tbl {
    width: 1200px;
  }
}